/***
*
*	Copyright (c) 2001-2006, Chain Studios. All rights reserved.
*
*	This product contains software technology that is a part of Half-Life FX (R)
*	from Chain Studios ("HLFX Technology"). All rights reserved.
*
*	Use, distribution, and modification of this source code and/or resulting
*   object code is restricted to non-commercial enhancements to products from
*   Valve LLC.  All other use, distribution, or modification is prohibited
*   without written permission from Chain Studios.
*
****/

#ifndef _ATI_FRAGMENT_SHADER_PARSER_H_
#define _ATI_FRAGMENT_SHADER_PARSER_H_

//AFS Error filter
#define AFS_NONE		0	//No error logging
#define AFS_PARSER		1	//Log parser errors
#define AFS_DRIVER		2	//Log OpenGL driver errors

//Returns a string containing all AFS errors, separated with '\n'
//If no errors occured, returns NULL
extern const char *afsparse_get_errors( void );

//Returns a number of errors occured in parser and driver
extern int afsparse_get_error_count( void );

//Set an error filter
//If you want shader to be assembled anyway, specify 0
//If you don't want OpenGL state checks, specify AFS_PARSER
//Default filter is (AFS_PARSER|AFS_DRIVER)
//Filter is not reset when parsing new program
extern void afsparse_set_error_filter( int filter );

//Main parser function
//This should be a valid AFS program
//See afsparse documentation for program syntax
extern void afsparse(const char * const text);

#endif //_ATI_FRAGMENT_SHADER_PARSER_H_